summaryrefslogtreecommitdiff
path: root/VA/run-paper-strong-full.sh
diff options
context:
space:
mode:
Diffstat (limited to 'VA/run-paper-strong-full.sh')
-rwxr-xr-xVA/run-paper-strong-full.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/VA/run-paper-strong-full.sh b/VA/run-paper-strong-full.sh
new file mode 100755
index 0000000..c0d8510
--- /dev/null
+++ b/VA/run-paper-strong-full.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+(
+
+echo "prim-benchmarks VA strong-full (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# >2048 is not part of upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 verbose=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 167772160 -x 1 || true
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "log-prim-strong-full-$(hostname).txt"